import React from 'react';
import LanguageStore from "./../../../stores/LanguageStore";

class AppointmentList extends React.Component {

  constructor(props) {
    super(props);

    this.state = {
      appointments: props.list,
      callback: props.callback
    };

    this.appointmentClicked = this.appointmentClicked.bind(this)
    this.listAppointments = this.listAppointments.bind(this)
   }

  componentDidMount (){
    // AppStore.load();
    // AppStore.on("loaded", this.update);
  }

  appointmentClicked(e, item){
    this.state.callback(item.ap, item.au);
  }

  listAppointments(){
    return (
      <div>
        <h2>{LanguageStore.translate("document_scan_list")}</h2>
        <ul className="ap_list">
          {this.state.appointments.map(function(item, index){
            return <li onClick={(e) => this.appointmentClicked(e, item)} key={ index }>{item.ap.ap_title}</li>;
          }.bind(this))}
        </ul>
      </div>
    )
  }

  render() {
    const list = this.listAppointments();
    return (
      list
    );
  }
}

export default AppointmentList;
