import React from 'react';
import HostStore from "../../../stores/HostStore";
import DesignStore from "./../../../stores/DesignStore";
import * as SIP from 'sip.js'
import ContactDetail from "./ContactDetail";

class ContactSearch extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      hosts: HostStore.loadHosts(),
      designs : DesignStore.getDesign(),
      selection: null
    }
    this.sip = null;
    this.updateHosts = this.updateHosts.bind(this);
    this.listHosts = this.listHosts.bind(this);
    this.selectHost = this.selectHost.bind(this);
  }

  selectHost(e, host){
    this.setState({
      selection : host
    });
  }

  componentDidMount (){
    DesignStore.on("design_loaded", this.update);
    HostStore.on("hosts_loaded", this.updateHosts);
  }

  update(){
    this.setState({
      designs : DesignStore.getDesign()
    })
  }

  updateHosts(){
    this.setState({
      hosts : HostStore.getHosts()
    })
  }

  listHosts(){
    return(
      <div>
          { this.state.hosts.map(function(host, index){
            let styles =[];
            if(this.state.designs){
              if( (index%2) !== 0){
                styles = {
                  backgroundColor: this.state.designs["main_color"],
                  color: "#fff"
                };
              }
            }

            return(
              <div className="singleHost" style={styles} key={ index } >
                <span onClick={(e) => this.selectHost(e, host)} className="host_infos" >{host.pe_name}, {host.pe_vorname}</span>
              </div>
          );
          }.bind(this)) }
      </div>
    )
  }

  render() {

    let content = <div>Loading ... </div>;

    if(this.state.selection !== null){
      return( <ContactDetail host={this.state.selection} /> );
    }

    if(this.state.hosts !== null && this.state.hosts !== undefined ){
      content = this.listHosts();
    }

    return (
      <div id="ContactSearch">
        <h1>Kontakte</h1>
        {content}
      </div>
    );
  }
}

export default ContactSearch;
