import React from 'react';
import moment from 'moment';
import CheckinButton from './ui/CheckinButton'
import CheckinProzess from './CheckinProzess'
import CheckoutProzess from './CheckoutProzess'
import CheckoutButton from './ui/CheckoutButton'
import LanguageStore from "./../../../stores/LanguageStore";

class Greeting extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      ap : props.ap,
      au : props.au,
    }

    this.checkinBtnAction = this.checkinBtnAction.bind(this);
    this.checkoutBtnAction = this.checkoutBtnAction.bind(this);
  }

  checkinBtnAction(){
    this.setState({
      next : "checkin"
    });
  }

  checkoutBtnAction(){
    this.setState({
      next : "checkout"
    });
  }

  render() {

    let  statetime = moment.unix(this.state.ap.ap_start_int).format('HH:mm');

    if(this.state.next === "checkin"){

      return(<CheckinProzess ap={this.state.ap} au={this.state.au} />);

    }else if(this.state.next === "checkout"){

      return(<CheckoutProzess ap={this.state.ap} au={this.state.au} />);

    }
    console.log(this.state.au.au_state)
    return (
      <div id="greeting">
        <h1>{LanguageStore.translate("self_greeting_title")} {LanguageStore.translate(this.state.au.au_title)} {this.state.au.au_surname} {this.state.au.au_name}</h1>
        <p>{LanguageStore.translate("self_greeting_title2")}!</p>
        <p>{LanguageStore.translate("checkin_greeting").replace("@time@", statetime.toString() ).replace("@title@", this.state.ap.ap_title)}</p>
        <hr />
        { (this.state.au.au_state === "") &&
          <CheckinButton action={this.checkinBtnAction} />
        }

        { (this.state.au.au_state === "left") &&
        <CheckinButton action={this.checkinBtnAction} />
        }

        { (this.state.au.au_state === "onside") &&
          <CheckoutButton action={this.checkoutBtnAction} />
        }


      </div>
    );
  }
}

export default Greeting;
