import React from 'react';
import DesignStore from "./../../stores/DesignStore";

class Header extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      title: "James Presenter",
      clickHandler : props.handler
    };

    this.update = this.update.bind(this);
    }

  componentDidMount (){
    DesignStore.on("design_loaded", this.update);
    // AppStore.on("change_action", this.changeAction);
  }

  update(){
    this.setState({
      designs : DesignStore.getDesign()
    })
  }

  render() {
    let styles = null
    let logo = null
    if(this.state.designs){
      styles = {
        color: this.state.designs["top_font_color"],
      };
      logo = "http://james-dev.metasec.local/portals/download.php?mode=dl_media_file&me_id=" + this.state.designs["logo"]
    }

    return (
      <div className="header" onClick={(e) => this.state.clickHandler(e)}>
        <img data-link="home" src={logo} alt="logo" />
        <span className="title" style={styles}>{this.state.title}</span>
      </div>
    );
  }
}

export default Header;
