import React from 'react';
import { Slider,  Menu} from '../../../src/components';
import DesignStore from "./../../stores/DesignStore";

class Main extends React.Component {

  constructor(props) {
  super(props);
  this.state = {
    clickHandler : props.handler,
    display : props.display,
    designs : DesignStore.getDesign()
  };

  this.update = this.update.bind(this)
}

update(){
  this.setState({
    designs : DesignStore.getDesign()
  })
}

componentDidMount (){
  DesignStore.on("design_loaded", this.update);
}

  render() {
    var show_slider = false;

    if(this.state.designs){
      if(this.state.designs["show_slider"] && this.state.designs["show_slider"] === "on"){
        show_slider = true;
      }
    }

    return (
      <div id="main">
        { show_slider &&
          <div className="row" id="slider">
            <div className="col" >
              <Slider />
            </div>
          </div>
        }

        <div className="row" id="menu">
          <Menu handler={this.state.clickHandler} display={this.state.display}  />
        </div>
      </div>
    );
  }
}

export default Main;
