import dispatcher from "../Dispatcher";
import {EventEmitter} from "events";
import axios from 'axios';
import { properties } from '../properties.js';
import rest from './../restclient.js';

class CheckOutStore extends EventEmitter {

    constructor() {
        super();
        const queryString = require('query-string');
        const parsed = queryString.parse(window.location.search);

        this.status = "";
        this.display = { di_id:parsed.di_id, };
        this.checklist = [];
        this.init = this.init.bind(this);
        this.checkOut = this.checkOut.bind(this);
        this.handleCheckOutFail = this.handleCheckOutFail.bind(this);
        this.calcStatus = this.calcStatus.bind(this);
        this.CheckOutResult = null;

        this.au_id = null;
    }

    sendCheckOutList(data){
      axios.post(properties.api_url + "/checklist/?SID=" + properties.key, data)
        .then(res => {
          this.CheckOut();
        }).catch(function (error) {
          console.log(error);
        })
    }

    init(au_id){
      this.au_id = au_id;
      this.CheckOutResult = null;
      this.CheckOut();
    }

    getCheckOutlist(){
      return this.checklist;
    }

    loadCheckOutlist(id){
      axios.get(properties.api_url + "/checklist/" + this.CheckOutResult.ap.ap_checklist_leave + "?SID=" + properties.key)
        .then(res => {
          this.checklist  = res.data;
          this.emit("CheckOutList_loaded");
        }).catch(function (error) {
          console.log(error);
        })
    }

    handleCheckOutFail(error){
      this.CheckOutResult =  error.response.data
      this.emit("checkOut_loaded");
      this.calcStatus();
    }

    calcStatus(){
      if(this.checkOutResult === null ||
        this.checkOutResult === undefined ||
        this.checkOutResult.au === null ||
         this.checkOutResult.au === undefined){
        return;
      }

      if( (this.checkOutResult.ap.ap_checklist_leave !== "" && this.checkOutResult.ap.ap_checklist_leave !== "-1" )
       && (this.checkOutResult.au.au_checklist_leave_done === null || this.checkOutResult.au.au_checklist_leave_done !== "1" ) ){
        this.status = "checkOutlist"
      }else if( this.checkOutResult && this.checkOutResult.success === true ){
        this.status = "done"
      }else{
          console.log("???");
      }
      console.log("status :" + this.status);
      this.emit("checkOut_changed");
    }

    checkOut(){
      this.checkOutResult = null;
      rest({
          method: 'get',
          url: properties.api_url + "/visitor/"+this.au_id + "/checkout/?SID=" + properties.key,
        }).then(res => {
          this.checkOutResult = res.data;
          this.emit("checkout_loaded");
          this.calcStatus();

        }).catch(this.handleCheckInFail)
    }



    getCheckOut(){
      return this.checkOutResult;
    }

    getStatus() {
      return this.status;
    }

    handleActions(){}
}

const checkoutStore = new CheckOutStore();
dispatcher.register(checkoutStore.handleActions.bind(checkoutStore));
export default checkoutStore;
